org.apache.ignite.internal.processors.rest.request

## Class GridRestChangeStateRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.request.GridRestRequest
  - - org.apache.ignite.internal.processors.rest.request.GridRestChangeStateRequest

    public class GridRestChangeStateRequest
    extends GridRestRequest

### Constructor Summary

Constructors
Constructor and Description
`GridRestChangeStateRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `active()`
`void` `active(boolean active)`
`boolean` `forceDeactivation()`
`void` `forceDeactivation(boolean forceDeactivation)`
`boolean` `isReqCurrentState()`
`void` `reqCurrentState()`

### Methods inherited from class org.apache.ignite.internal.processors.rest.request.GridRestRequest

`address, address, certificates, certificates, clientId, clientId, command, command, credentials, credentials, destinationId, destinationId, sessionToken, sessionToken, toString, userAttributes, userAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridRestChangeStateRequest

    public GridRestChangeStateRequest()

### Method Detail

#### active

    public boolean active()

#### active

    public void active(boolean active)

#### isReqCurrentState

    public boolean isReqCurrentState()

#### reqCurrentState

    public void reqCurrentState()

#### forceDeactivation

    public void forceDeactivation(boolean forceDeactivation)

Parameters:
  `forceDeactivation` - If `true`, cluster deactivation will be forced.

#### forceDeactivation

    public boolean forceDeactivation()

Returns:
  `True` if cluster deactivation will be forced. `False` otherwise.
See Also:
  `ClusterState.INACTIVE`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023